org.eclipse.gef

## Interface Handle

All Known Implementing Classes:
  AbstractHandle, BendpointCreationHandle, BendpointHandle, BendpointMoveHandle, ConnectionEndHandle, ConnectionEndpointHandle, ConnectionHandle, ConnectionStartHandle, MoveHandle, NonResizableHandle, ResizeHandle, SquareHandle

    public interface Handle

An interface used by the `SelectionTool` to obtain a DragTracker. A GraphicalViewer will return a Handle at a given location. The `SelectionTool` looks for `Handles` first whenever the User presses the mouse button. If a Handle is found, it usually offers a DragTracker, although `null` can also be returned.

For keyboard accessibility purposes, a Handle can provide a Point at which the SelectionTool should programmatically place the mouse.

### Method Summary

Methods
`Point` `getAccessibleLocation()` Returns an optional accessibility Point.
`DragTracker` `getDragTracker()` Returns the DragTracker for dragging this Handle.

### Method Detail

#### getDragTracker

    DragTracker getDragTracker()

Returns the DragTracker for dragging this Handle.

Returns:
  `null` or a `DragTracker`

#### getAccessibleLocation

    Point getAccessibleLocation()

Returns an optional accessibility Point. This returned point is in absolute coordinates.

Returns:
  `null` or the absolute location